ZipArchive::setCommentIndex
ZipArchive::setCompressionIndex
ZipArchive
PHP Manual

# ZipArchive::setCommentName

(PHP 5 >= 5.2.0, PECL zip >= 1.4.0)

ZipArchive::setCommentName — Set the comment of an entry defined by its name

### Description

bool ZipArchive::setCommentName ( string `$name` , string `$comment` )

Set the comment of an entry defined by its name.

### Parameters

`name`

  Name of the entry.

`comment`

  The contents of the comment.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Open an archive and set a comment for an entry

`<?php
$zip = new ZipArchive;
$res = $zip->open('test.zip');
if ($res === TRUE) {
$zip->setCommentName('entry1.txt', 'new entry comment');
$zip->close();
echo 'ok';
} else {
echo 'failed';
}
?>`

ZipArchive::setCommentIndex
ZipArchive::setCompressionIndex
ZipArchive
PHP Manual